IndexMetadata.Kind (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.schema

## Enum IndexMetadata.Kind

- java.lang.Object
- - java.lang.Enum<IndexMetadata.Kind>
  - - org.apache.cassandra.schema.IndexMetadata.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexMetadata.Kind>
  Enclosing class:
    IndexMetadata

      public static enum IndexMetadata.Kind
      extends java.lang.Enum<IndexMetadata.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPOSITES`
    `CUSTOM`
    `KEYS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexMetadata.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexMetadata.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEYS

          public static final IndexMetadata.Kind KEYS

    - #### CUSTOM

          public static final IndexMetadata.Kind CUSTOM

    - #### COMPOSITES

          public static final IndexMetadata.Kind COMPOSITES

  - ### Method Detail

    - #### values

          public static IndexMetadata.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexMetadata.Kind c : IndexMetadata.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexMetadata.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation